Index: code/branches/presentation3/src/modules/objects/Planet.h
===================================================================
--- code/branches/presentation3/src/modules/objects/Planet.h	(revision 7150)
+++ code/branches/presentation3/src/modules/objects/Planet.h	(revision 7153)
@@ -94,7 +94,7 @@
 
         protected:
-            void registerVariables();
 
         private:
+            void registerVariables();
 
             void changedMesh();
Index: code/branches/presentation3/src/modules/objects/collisionshapes/BoxCollisionShape.h
===================================================================
--- code/branches/presentation3/src/modules/objects/collisionshapes/BoxCollisionShape.h	(revision 7150)
+++ code/branches/presentation3/src/modules/objects/collisionshapes/BoxCollisionShape.h	(revision 7153)
@@ -43,5 +43,4 @@
             virtual ~BoxCollisionShape();
 
-            void registerVariables();
             virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
 
@@ -67,4 +66,6 @@
 
         private:
+            void registerVariables();
+
             btCollisionShape* createNewShape() const;
 
Index: code/branches/presentation3/src/modules/objects/collisionshapes/ConeCollisionShape.h
===================================================================
--- code/branches/presentation3/src/modules/objects/collisionshapes/ConeCollisionShape.h	(revision 7150)
+++ code/branches/presentation3/src/modules/objects/collisionshapes/ConeCollisionShape.h	(revision 7153)
@@ -41,5 +41,4 @@
             virtual ~ConeCollisionShape();
 
-            void registerVariables();
             virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
 
@@ -55,4 +54,6 @@
 
         private:
+            void registerVariables();
+
             btCollisionShape* createNewShape() const;
 
Index: code/branches/presentation3/src/modules/objects/collisionshapes/PlaneCollisionShape.h
===================================================================
--- code/branches/presentation3/src/modules/objects/collisionshapes/PlaneCollisionShape.h	(revision 7150)
+++ code/branches/presentation3/src/modules/objects/collisionshapes/PlaneCollisionShape.h	(revision 7153)
@@ -43,5 +43,4 @@
             virtual ~PlaneCollisionShape();
 
-            void registerVariables();
             virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
 
@@ -57,4 +56,6 @@
 
         private:
+            void registerVariables();
+
             btCollisionShape* createNewShape()const;
 
Index: code/branches/presentation3/src/modules/objects/collisionshapes/SphereCollisionShape.h
===================================================================
--- code/branches/presentation3/src/modules/objects/collisionshapes/SphereCollisionShape.h	(revision 7150)
+++ code/branches/presentation3/src/modules/objects/collisionshapes/SphereCollisionShape.h	(revision 7153)
@@ -41,5 +41,4 @@
             virtual ~SphereCollisionShape();
 
-            void registerVariables();
             virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
 
@@ -50,4 +49,6 @@
 
         private:
+            void registerVariables();
+
             btCollisionShape* createNewShape() const;
 
Index: code/branches/presentation3/src/modules/pong/PongBall.h
===================================================================
--- code/branches/presentation3/src/modules/pong/PongBall.h	(revision 7150)
+++ code/branches/presentation3/src/modules/pong/PongBall.h	(revision 7153)
@@ -45,6 +45,4 @@
             virtual void tick(float dt);
 
-            void registerVariables();
-
             void setFieldDimension(float width, float height)
                 { this->fieldWidth_ = width; this->fieldHeight_ = height; }
@@ -74,4 +72,6 @@
 
         private:
+            void registerVariables();
+
             float fieldWidth_;
             float fieldHeight_;
Index: code/branches/presentation3/src/modules/pong/PongBat.h
===================================================================
--- code/branches/presentation3/src/modules/pong/PongBat.h	(revision 7150)
+++ code/branches/presentation3/src/modules/pong/PongBat.h	(revision 7153)
@@ -41,5 +41,4 @@
             virtual ~PongBat() {}
 
-            void registerVariables();
             virtual void tick(float dt);
 
@@ -65,4 +64,6 @@
 
         private:
+            void registerVariables();
+
             float movement_;
             bool bMoveLocal_;
Index: code/branches/presentation3/src/modules/weapons/weaponmodes/RocketFire.cc
===================================================================
--- code/branches/presentation3/src/modules/weapons/weaponmodes/RocketFire.cc	(revision 7150)
+++ code/branches/presentation3/src/modules/weapons/weaponmodes/RocketFire.cc	(revision 7153)
@@ -66,5 +66,6 @@
         rocket->setOrientation(this->getMuzzleOrientation());
         rocket->setPosition(this->getMuzzlePosition());
-        rocket->setVelocity(this->getWeapon()->getWeaponPack()->getWeaponSystem()->getPawn()->getVelocity() + this->getMuzzleDirection() * this->speed_);
+//         rocket->setVelocity(this->getWeapon()->getWeaponPack()->getWeaponSystem()->getPawn()->getVelocity() + this->getMuzzleDirection() * this->speed_);
+        rocket->setVelocity(Vector3(1,0,0));
         rocket->scale(2);
 
